*** a/src/backend/commands/tablecmds.c
--- b/src/backend/commands/tablecmds.c
***************
*** 9853,9862 **** ATExecEnableDisableRule(Relation rel, char *trigname,
  
  /*
   * ALTER TABLE INHERIT
-  *
-  * Add a parent to the child's parents. This verifies that all the columns and
-  * check constraints of the parent appear in the child and that they have the
-  * same data types and expressions.
   */
  static void
  ATPrepAddInherit(Relation child_rel)
--- 9853,9858 ----
***************
*** 9864,9873 **** ATPrepAddInherit(Relation child_rel)
  	if (child_rel->rd_rel->reloftype)
  		ereport(ERROR,
  				(errcode(ERRCODE_WRONG_OBJECT_TYPE),
! 				 errmsg("cannot change inheritance of typed table")));
  }
  
  /*
   * Return the address of the new parent relation.
   */
  static ObjectAddress
--- 9860,9873 ----
  	if (child_rel->rd_rel->reloftype)
  		ereport(ERROR,
  				(errcode(ERRCODE_WRONG_OBJECT_TYPE),
! 				 errmsg("typed tables cannot inherit")));
  }
  
  /*
+  * Add a parent to the child's parents. This verifies that all the columns and
+  * check constraints of the parent appear in the child and that they have the
+  * same data types and expressions.
+  *
   * Return the address of the new parent relation.
   */
  static ObjectAddress
